#include <stdio.h>
#include <stdlib.h>
#include <inttypes.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# ifndef YYLMAX 
# define YYLMAX BUFSIZ
# endif 
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
#define YYISARRAY
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 2 "verilog.lex"
/******************************************************************************

 FILENAME:             VERILOG.LEX	

 CREATION DATE:        August 3, 1998

 AUTHOR:               Ben Foster

 PURPOSE:              This file performs the lexical analysis for its 
                       companion file, "Verilog.yacc".  It recognizes strings,
		       symbols, and numbers in the input Verilog file (read 
		       in by the "main" function contained in "Verilog.yacc), 
		       returning the appropriate token and value for each 
		       recognized symbol in the Verilog file.  

 SIDE EFFECTS:         None

 COMMENTS:             None

 HISTORY:              Unmodified

******************************************************************************/
#include <stdio.h>
#include <string.h>
#include "y.tab.h"

#define BUFFER_SIZE 1024

void erase_underscores(void);
void get_string(void);
void get_char(void);

static char buffer[BUFFER_SIZE];

char linebuf[500];

int lineno = 0;

         /*beginning of lexical analysis, starting with Verilog keywords*/
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 52 "verilog.lex"
          { return ALWAYS; }
break;
case 2:

# line 53 "verilog.lex"
             { return AND; }
break;
case 3:

# line 54 "verilog.lex"
          { return ASSIGN; }
break;
case 4:

# line 55 "verilog.lex"
           { return BEGN; }
break;
case 5:

# line 56 "verilog.lex"
            { return BODY; }
break;
case 6:

# line 57 "verilog.lex"
             { return BUF; }
break;
case 7:

# line 58 "verilog.lex"
          { return BUFIF0; }
break;
case 8:

# line 59 "verilog.lex"
          { return BUFIF1; }
break;
case 9:

# line 60 "verilog.lex"
            { return CASE; }
break;
case 10:

# line 61 "verilog.lex"
           { return CASEX; }
break;
case 11:

# line 62 "verilog.lex"
           { return CASEZ; }
break;
case 12:

# line 63 "verilog.lex"
            { return CMOS; }
break;
case 13:

# line 64 "verilog.lex"
        { return DEASSIGN; }
break;
case 14:

# line 65 "verilog.lex"
         { return DEFAULT; }
break;
case 15:

# line 66 "verilog.lex"
        { return DEFPARAM; }
break;
case 16:

# line 67 "verilog.lex"
             { return DFF; }
break;
case 17:

# line 68 "verilog.lex"
         { return DISABLE; }
break;
case 18:

# line 69 "verilog.lex"
            { return EDGE; }
break;
case 19:

# line 70 "verilog.lex"
            { return ELSE; }
break;
case 20:

# line 71 "verilog.lex"
             { return END; }
break;
case 21:

# line 72 "verilog.lex"
         { return ENDCASE; }
break;
case 22:

# line 73 "verilog.lex"
     { return ENDFUNCTION; }
break;
case 23:

# line 74 "verilog.lex"
       { return ENDMODULE; }
break;
case 24:

# line 75 "verilog.lex"
    { return ENDPRIMITIVE; }
break;
case 25:

# line 76 "verilog.lex"
      { return ENDSPECIFY; }
break;
case 26:

# line 77 "verilog.lex"
        { return ENDTABLE; }
break;
case 27:

# line 78 "verilog.lex"
         { return ENDTASK; }
break;
case 28:

# line 79 "verilog.lex"
         { return ENDUNIT; }
break;
case 29:

# line 80 "verilog.lex"
           { return EVENT; }
break;
case 30:

# line 81 "verilog.lex"
             { return FOR; }
break;
case 31:

# line 82 "verilog.lex"
           { return FORCE; }
break;
case 32:

# line 83 "verilog.lex"
         { return FOREVER; }
break;
case 33:

# line 84 "verilog.lex"
            { return FORK; }
break;
case 34:

# line 85 "verilog.lex"
        { return FUNCTION; }
break;
case 35:

# line 86 "verilog.lex"
          { return HIGHZ0; }
break;
case 36:

# line 87 "verilog.lex"
          { return HIGHZ1; }
break;
case 37:

# line 88 "verilog.lex"
            { return HOLD; }
break;
case 38:

# line 89 "verilog.lex"
              { return IF; }
break;
case 39:

# line 90 "verilog.lex"
          { return IFNONE; }
break;
case 40:

# line 91 "verilog.lex"
              { return IN; }
break;
case 41:

# line 92 "verilog.lex"
             { return INV; }
break;
case 42:

# line 93 "verilog.lex"
         { return INITL; }
break;
case 43:

# line 94 "verilog.lex"
           { return INOUT; }
break;
case 44:

# line 95 "verilog.lex"
           { return INPUT; }
break;
case 45:

# line 96 "verilog.lex"
         { return INTEGER; }
break;
case 46:

# line 97 "verilog.lex"
            { return JOIN; }
break;
case 47:

# line 98 "verilog.lex"
           { return LARGE; }
break;
case 48:

# line 99 "verilog.lex"
     { return MACROMODULE; }
break;
case 49:

# line 100 "verilog.lex"
          { return MEDIUM; }
break;
case 50:

# line 101 "verilog.lex"
          { return MODULE; }
break;
case 51:

# line 102 "verilog.lex"
            { return NAND; }
break;
case 52:

# line 103 "verilog.lex"
         { return NEGEDGE; }
break;
case 53:

# line 104 "verilog.lex"
            { return NMOS; }
break;
case 54:

# line 105 "verilog.lex"
             { return NOR; }
break;
case 55:

# line 106 "verilog.lex"
             { return NOT; }
break;
case 56:

# line 107 "verilog.lex"
          { return NOTIF0; }
break;
case 57:

# line 108 "verilog.lex"
          { return NOTIF1; }
break;
case 58:

# line 109 "verilog.lex"
              { return OR; }
break;
case 59:

# line 110 "verilog.lex"
             { return OUT; }
break;
case 60:

# line 111 "verilog.lex"
          { return OUTPUT; }
break;
case 61:

# line 112 "verilog.lex"
       { return PATHPULSE; }
break;
case 62:

# line 113 "verilog.lex"
          { return PERIOD; }
break;
case 63:

# line 114 "verilog.lex"
            { return PMOS; }
break;
case 64:

# line 115 "verilog.lex"
         { return POSEDGE; }
break;
case 65:

# line 116 "verilog.lex"
       { return PRIMITIVE; }
break;
case 66:

# line 117 "verilog.lex"
           { return PULL0; }
break;
case 67:

# line 118 "verilog.lex"
           { return PULL1; }
break;
case 68:

# line 119 "verilog.lex"
        { return PULLDOWN; }
break;
case 69:

# line 120 "verilog.lex"
          { return PULLUP; }
break;
case 70:

# line 121 "verilog.lex"
           { return RCMOS; }
break;
case 71:

# line 122 "verilog.lex"
             { return REG; }
break;
case 72:

# line 123 "verilog.lex"
        { return RECOVERY; }
break;
case 73:

# line 124 "verilog.lex"
         { return RELEASE; }
break;
case 74:

# line 125 "verilog.lex"
          { return REPEAT; }
break;
case 75:

# line 126 "verilog.lex"
           { return RNMOS; }
break;
case 76:

# line 127 "verilog.lex"
           { return RPMOS; }
break;
case 77:

# line 128 "verilog.lex"
           { return RTRAN; }
break;
case 78:

# line 129 "verilog.lex"
        { return RTRANIF0; }
break;
case 79:

# line 130 "verilog.lex"
        { return RTRANIF1; }
break;
case 80:

# line 131 "verilog.lex"
        { return SCALARED; }
break;
case 81:

# line 132 "verilog.lex"
           { return SETUP; }
break;
case 82:

# line 133 "verilog.lex"
       { return SETUPHOLD; }
break;
case 83:

# line 134 "verilog.lex"
            { return SKEW; }
break;
case 84:

# line 135 "verilog.lex"
           { return SMALL; }
break;
case 85:

# line 136 "verilog.lex"
         { return SPECIFY; }
break;
case 86:

# line 137 "verilog.lex"
       { return SPECPARAM; }
break;
case 87:

# line 138 "verilog.lex"
         { return STRONG0; }
break;
case 88:

# line 139 "verilog.lex"
         { return STRONG1; }
break;
case 89:

# line 140 "verilog.lex"
         { return SUPPLY0; }
break;
case 90:

# line 141 "verilog.lex"
         { return SUPPLY1; }
break;
case 91:

# line 142 "verilog.lex"
           { return TABLE; }
break;
case 92:

# line 143 "verilog.lex"
            { return TASK; }
break;
case 93:

# line 144 "verilog.lex"
            { return TIME; }
break;
case 94:

# line 145 "verilog.lex"
            { return TRAN; }
break;
case 95:

# line 146 "verilog.lex"
         { return TRANIF0; }
break;
case 96:

# line 147 "verilog.lex"
         { return TRANIF1; }
break;
case 97:

# line 148 "verilog.lex"
             { return TRI; }
break;
case 98:

# line 149 "verilog.lex"
            { return TRI0; }
break;
case 99:

# line 150 "verilog.lex"
            { return TRI1; }
break;
case 100:

# line 151 "verilog.lex"
          { return TRIAND; }
break;
case 101:

# line 152 "verilog.lex"
          { return TRIREG; }
break;
case 102:

# line 153 "verilog.lex"
           { return TRIOR; }
break;
case 103:

# line 154 "verilog.lex"
            { return UNIT; }
break;
case 104:

# line 155 "verilog.lex"
        { return VECTORED; }
break;
case 105:

# line 156 "verilog.lex"
            { return WAIT; }
break;
case 106:

# line 157 "verilog.lex"
            { return WAND; }
break;
case 107:

# line 158 "verilog.lex"
           { return WEAK0; }
break;
case 108:

# line 159 "verilog.lex"
           { return WEAK1; }
break;
case 109:

# line 160 "verilog.lex"
           { return WHILE; }
break;
case 110:

# line 161 "verilog.lex"
           { return WIDTH; }
break;
case 111:

# line 162 "verilog.lex"
            { return WIRE; }
break;
case 112:

# line 163 "verilog.lex"
             { return WOR; }
break;
case 113:

# line 164 "verilog.lex"
            { return XNOR; }
break;
case 114:

# line 165 "verilog.lex"
             { return XOR; }
break;
case 115:

# line 167 "verilog.lex"
       ;
break;
case 116:

# line 169 "verilog.lex"
 ;
break;
case 117:

# line 171 "verilog.lex"
         ;
break;
case 118:

# line 173 "verilog.lex"
{
  get_string();
  return SIMPLE_IDENTIFIER;
}
break;
case 119:

# line 178 "verilog.lex"
{
  get_string();
  return ESCAPED_IDENTIFIER;
}
break;
case 120:

# line 183 "verilog.lex"
{
  get_string();
  return STRING;
}
break;
case 121:

# line 188 "verilog.lex"
{
  yylval.n = atoi(yytext); 
  return ZERO_OR_ONE;
}
break;
case 122:

# line 193 "verilog.lex"
{
  get_string();
  return ONE_KNOWN_BIT;
}
break;
case 123:

# line 198 "verilog.lex"
{
  get_string();
  return UNKNOWN_BIT;
}
break;
case 124:

# line 203 "verilog.lex"
{
  get_string();
  return KNOWN_BIT;
}
break;
case 125:

# line 208 "verilog.lex"
{
  get_string();
  return EX;
}
break;
case 126:

# line 213 "verilog.lex"
{
  get_string();
  return LEVEL_SYMBOL;
}
break;
case 127:

# line 218 "verilog.lex"
{
  get_string();
  return EDGE_SYMBOL;
}
break;
case 128:

# line 223 "verilog.lex"
{
  get_string();
  return EDGE_DESCRIPTOR;
}
break;
case 129:

# line 228 "verilog.lex"
{
  yylval.n = atoi(yytext);
  return EDGE_OR_UNSIGNED;
}
break;
case 130:

# line 233 "verilog.lex"
{
  get_string();
  return EDGE_DESCRIPTOR;
}
break;
case 131:

# line 238 "verilog.lex"
{
  get_string();
  return EDGE_DESCRIPTOR;
}
break;
case 132:

# line 243 "verilog.lex"
{              /*collect unsigned radix-unspecified numbers*/ 
  erase_underscores();      /*erase the underscore characters*/
  yylval.n = atoi(yylval.txt);
  return UNSIGNED_NUMBER;
}
break;
case 133:

# line 249 "verilog.lex"
{
  erase_underscores();
  return REAL_NUMBER;
}
break;
case 134:

# line 254 "verilog.lex"
{
  erase_underscores();
  return REAL_NUMBER;
}
break;
case 135:

# line 259 "verilog.lex"
{  /*collect binary numbers */           
  erase_underscores();      /*erase the underscore characters*/
  return BINARY_NUMBER;
}
break;
case 136:

# line 264 "verilog.lex"
{/*collect octal numbers */           
  erase_underscores();      /*erase the underscore characters*/
  return OCTAL_NUMBER;
}
break;
case 137:

# line 269 "verilog.lex"
{        /*collect decimal numbers */           
  erase_underscores();      /*erase the underscore characters*/
  yylval.n = atoi(yylval.txt);
  return DECIMAL_NUMBER;
}
break;
case 138:

# line 275 "verilog.lex"
{ /*collect hexadecimal numbers */
  erase_underscores();      /*erase the underscore characters*/
  return HEX_NUMBER;
}
break;
case 139:

# line 280 "verilog.lex"
{
  get_char();
  return PLUS;
}
break;
case 140:

# line 285 "verilog.lex"
{
  get_char();
  return MINUS;
}
break;
case 141:

# line 290 "verilog.lex"
{
  get_string();
  return OPERATOR;
}
break;
case 142:

# line 295 "verilog.lex"
{
  get_string();
  return OPERATOR;
}
break;
case 143:

# line 300 "verilog.lex"
{
  get_string();
  return OPERATOR;
}
break;
case 144:

# line 305 "verilog.lex"
{
  get_string();
  return EDGE_OR_BINARY_OPERATOR;
}
break;
case 145:

# line 310 "verilog.lex"
{
  get_string();
  return BINARY_OPERATOR;
}
break;
case 146:

# line 315 "verilog.lex"
{
  get_string();
  return BINARY_OPERATOR;
}
break;
case 147:

# line 320 "verilog.lex"
{
  get_string();
  return LESSOREQUAL;
}
break;
case 148:

# line 325 "verilog.lex"
{
  get_string();
  return DOUBLERIGHTARROW;
}
break;
case 149:

# line 330 "verilog.lex"
{
  get_string();
  return EQUIV_EXPR;
}
break;
case 150:

# line 335 "verilog.lex"
{
  get_string();
  return BINARY_OPERATOR;
}
break;
case 151:

# line 340 "verilog.lex"
{
  get_string();
  return BINARY_OPERATOR;
}
break;
case 152:

# line 345 "verilog.lex"
{
  get_string();
  return BINARY_OPERATOR;
}
break;
case 153:

# line 350 "verilog.lex"
{
  get_string();
  return BINARY_OPERATOR;
}
break;
case 154:

# line 355 "verilog.lex"
{
  get_string();
  return UNARY_OPERATOR;
}
break;
case 155:

# line 360 "verilog.lex"
{
  get_string();
  return TILDA;
}
break;
case 156:

# line 365 "verilog.lex"
{
  get_string();
  return UNARY_OPERATOR;
}
break;
case 157:

# line 370 "verilog.lex"
{
  get_string();
  return TRIAMPERSAND;
}
break;
case 158:

# line 375 "verilog.lex"
{
  get_char();
  return EQUAL;
}
break;
case 159:

# line 380 "verilog.lex"
{
  get_char();
  return COMMA;
}
break;
case 160:

# line 385 "verilog.lex"
{
  get_char();
  return OPENPAREN;
}
break;
case 161:

# line 390 "verilog.lex"
{
  get_char();
  return CLOSEPAREN;
}
break;
case 162:

# line 395 "verilog.lex"
{
  get_char();
  return OPENCURLYBRAC;
}
break;
case 163:

# line 400 "verilog.lex"
{
  get_char();
  return CLOSECURLYBRAC;
}
break;
case 164:

# line 405 "verilog.lex"
{
  get_char();
  return OPENSQBRAC;
}
break;
case 165:

# line 410 "verilog.lex"
{
  get_char();
  return CLOSESQBRAC;
}
break;
case 166:

# line 415 "verilog.lex"
{
  get_char();
  return POUND;
}
break;
case 167:

# line 420 "verilog.lex"
{
  get_char();
  return AT;
}
break;
case 168:

# line 425 "verilog.lex"
{
  get_char();
  return COLON;
}
break;
case 169:

# line 430 "verilog.lex"
{
  get_char();
  return SEMICOLON;
}
break;
case 170:

# line 435 "verilog.lex"
{
  get_char();
  return QUESTIONMARK;
}
break;
case 171:

# line 440 "verilog.lex"
{
  get_char();
  return BACKSLASH;
}
break;
case 172:

# line 445 "verilog.lex"
{
  get_string();
  return RIGHTARROW;
}
break;
case 173:

# line 450 "verilog.lex"
{
  get_string();
  return STARARROWRIGHT;
}
break;
case 174:

# line 455 "verilog.lex"
{
  get_char();
  return DOLLAR;
}
break;
case 175:

# line 460 "verilog.lex"
{
  get_char();
  return DOT;
}
break;
case 176:

# line 465 "verilog.lex"
{
  get_string();
  return DES_ASSIGNMENT;
}
break;
case 177:

# line 470 "verilog.lex"
{
  get_char();
  return SINGLE_QUOTE;
}
break;
case 178:

# line 475 "verilog.lex"
             ;
break;
case 179:

# line 476 "verilog.lex"
{strcpy(linebuf, yytext+1);    /*copy the next line */
 lineno++;                          /*in case of an error*/
 yyless(1);                 /*return all but '\n' for analysis*/
}
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

# line 481 "verilog.lex"
       /*end of lexical analysis section*/

/******************************************************************************
 FILENAME:             VERILOG.LEX
 FUNCTION NAME:        get_string(void)
 CREATION DATE:        August 3, 1998
 AUTHOR:               Ben Foster
 PARAMETERS:           No direct parameters
 PURPOSE:              To copy the value stored in "yytext" into yacc's char
                           string, "yylval.txt".
 SIDE EFFECTS:         The value of "yylval.txt" gets set to the value stored
                           in "yytext".
 COMMENTS:             This is the standard method of associating a string
                           value with a token
 HISTORY:              Unmodified
******************************************************************************/

/* read in a string of indeterminate length*/
void get_string(void){
  sscanf(yytext, "%s", buffer);
  yylval.txt = (char *)malloc(strlen(buffer)+1);
  buffer[strlen(buffer)+1] = '\0';
  strcpy(yylval.txt, buffer);
}
/* END OF get_string(void) */

/******************************************************************************
 FILENAME:             VERILOG.LEX
 FUNCTION NAME:        get_char(void)
 CREATION DATE:        August 3, 1998
 AUTHOR:               Ben Foster
 PARAMETERS:           No direct parameters
 PURPOSE:              To copy the value stored in "yytext" into yacc's
                           character variable, "yylval.c".
 SIDE EFFECTS:         The value of "yylval.c" gets set to the value stored
                           in "yytext".
 COMMENTS:             This is the standard method of associating a char
                           value with a token
 HISTORY:              Unmodified
******************************************************************************/
/* read in a character*/
void get_char(void){
  yylval.c = yytext[0];
}
/* END OF get_char(void) */

/******************************************************************************
 FILENAME:             VERILOG.LEX
 FUNCTION NAME:        erase_underscores(int i)
 CREATION DATE:        August 3, 1998
 AUTHOR:               Ben Foster
 PARAMETERS:           No direct parameters
 PURPOSE:              To copy the value stored in "yytext" into yacc's
                           char string variable, "yylval.txt", after
			   skipping the underscore characters.
 SIDE EFFECTS:         The value of "yylval.c" gets set to the value stored
                           in "yytext", minus the underscore characters.
 COMMENTS:             Underscore characters may be present in numbers in
                           Verilog models, but not in MCS.  This routine
			   simply eliminates the underscores from the
			   numbers.
 HISTORY:              Unmodified
******************************************************************************/
/* erase underscore characters found in numbers*/
void erase_underscores(void){
  int i=0, j=0;

  while(yytext[i]!='\0'){
    if(yytext[i]!='_'){
      buffer[j] = yytext[i];
      i++;
      j++;
    }
    else i++;
  }
  buffer[j] = '\0';

  yylval.txt=(char *)malloc(strlen(buffer));
  strcpy(yylval.txt, buffer);
}
/*END OF erase_underscores(void)*/

/******************************************************************************
 FILENAME:             VERILOG.LEX
 FUNCTION NAME:        yyerror(char *s)
 CREATION DATE:        August 3, 1998
 AUTHOR:               Ben Foster
 PARAMETERS:           Char string s, automatically given to yyerror(char *s)
                           by lex when an error occurs.
 PURPOSE:              For better error documentation to aid in debugging
 SIDE EFFECTS:         None
 COMMENTS:             "yyerror(char *s) is automatically called by the
                           lexical analyser when an error is detected.

                       "linebuf" is altered with every newline character
                           encountered.  "linebuf" contains a copy of each
			   line during the time that it is being scanned by
			   lex (see end of lexical analysis section above).
 HISTORY:              Unmodified
******************************************************************************/
void yyerror(char *s){
  printf("%d: %s at %s in this line:\n%s\n",
	 lineno+1, s, yytext, linebuf);
}
/*END OF yyerror(char *s)*/
int yyvstop[] = {
0,

178,
0, 

179,
0, 

156,
178,
0, 

178,
0, 

166,
178,
0, 

174,
178,
0, 

145,
178,
0, 

141,
178,
0, 

177,
178,
0, 

160,
178,
0, 

161,
178,
0, 

144,
178,
0, 

139,
178,
0, 

159,
178,
0, 

140,
178,
0, 

175,
178,
0, 

145,
178,
0, 

121,
178,
0, 

121,
132,
178,
0, 

132,
178,
0, 

168,
178,
0, 

169,
178,
0, 

145,
178,
0, 

158,
178,
0, 

145,
178,
0, 

170,
178,
0, 

167,
178,
0, 

118,
178,
0, 

118,
126,
178,
0, 

118,
127,
178,
0, 

118,
127,
178,
0, 

118,
125,
178,
0, 

164,
178,
0, 

171,
178,
0, 

165,
178,
0, 

141,
178,
0, 

118,
178,
0, 

118,
126,
178,
0, 

118,
178,
0, 

118,
178,
0, 

118,
178,
0, 

118,
127,
178,
0, 

118,
178,
0, 

118,
178,
0, 

118,
178,
0, 

118,
178,
0, 

118,
178,
0, 

118,
127,
178,
0, 

118,
178,
0, 

118,
127,
178,
0, 

118,
127,
178,
0, 

118,
178,
0, 

118,
178,
0, 

118,
178,
0, 

118,
178,
0, 

118,
178,
0, 

118,
125,
178,
0, 

162,
178,
0, 

141,
178,
0, 

163,
178,
0, 

155,
178,
0, 

117,
156,
178,
0, 

146,
0, 

120,
0, 

150,
0, 

173,
0, 

172,
0, 

115,
0, 

128,
0, 

131,
0, 

129,
132,
0, 

132,
0, 

132,
0, 

176,
0, 

153,
0, 

147,
0, 

148,
0, 

152,
0, 

118,
0, 

118,
0, 

119,
0, 

142,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

38,
118,
0, 

40,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

58,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
130,
0, 

118,
0, 

118,
0, 

151,
0, 

154,
0, 

143,
0, 

117,
0, 

117,
146,
0, 

149,
0, 

157,
0, 

124,
135,
0, 

135,
0, 

137,
0, 

138,
0, 

136,
0, 

135,
136,
137,
138,
0, 

136,
137,
138,
0, 

137,
138,
0, 

135,
136,
138,
0, 

133,
0, 

134,
0, 

118,
0, 

118,
0, 

2,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

6,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

16,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

20,
118,
0, 

118,
0, 

30,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

41,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

54,
118,
0, 

55,
118,
0, 

59,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

71,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

97,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

112,
118,
0, 

118,
0, 

114,
118,
0, 

117,
149,
0, 

136,
138,
0, 

116,
0, 

122,
0, 

123,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

5,
118,
0, 

118,
0, 

9,
118,
0, 

12,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

18,
118,
0, 

19,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

33,
118,
0, 

118,
0, 

118,
0, 

37,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

46,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

51,
118,
0, 

118,
0, 

53,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

63,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

83,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

92,
118,
0, 

93,
118,
0, 

94,
118,
0, 

98,
118,
0, 

99,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

103,
118,
0, 

118,
0, 

105,
118,
0, 

106,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

111,
118,
0, 

113,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

4,
118,
0, 

118,
0, 

10,
118,
0, 

11,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

29,
118,
0, 

31,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

43,
118,
0, 

44,
118,
0, 

118,
0, 

47,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

66,
118,
0, 

67,
118,
0, 

118,
0, 

118,
0, 

70,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

75,
118,
0, 

76,
118,
0, 

77,
118,
0, 

118,
0, 

81,
118,
0, 

84,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

91,
118,
0, 

118,
0, 

118,
0, 

102,
118,
0, 

118,
0, 

118,
0, 

107,
118,
0, 

108,
118,
0, 

109,
118,
0, 

110,
118,
0, 

118,
0, 

1,
118,
0, 

3,
118,
0, 

7,
118,
0, 

8,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

35,
118,
0, 

36,
118,
0, 

39,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

49,
118,
0, 

50,
118,
0, 

118,
0, 

56,
118,
0, 

57,
118,
0, 

60,
118,
0, 

62,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

69,
118,
0, 

118,
0, 

118,
0, 

74,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

100,
118,
0, 

101,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

14,
118,
0, 

118,
0, 

17,
118,
0, 

21,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

27,
118,
0, 

28,
118,
0, 

32,
118,
0, 

118,
0, 

42,
118,
0, 

45,
118,
0, 

118,
0, 

52,
118,
0, 

64,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

73,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

85,
118,
0, 

118,
0, 

87,
118,
0, 

88,
118,
0, 

89,
118,
0, 

90,
118,
0, 

95,
118,
0, 

96,
118,
0, 

118,
0, 

118,
0, 

13,
118,
0, 

15,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

118,
0, 

26,
118,
0, 

34,
118,
0, 

118,
0, 

118,
0, 

68,
118,
0, 

72,
118,
0, 

78,
118,
0, 

79,
118,
0, 

80,
118,
0, 

118,
0, 

118,
0, 

104,
118,
0, 

61,
118,
0, 

118,
0, 

23,
118,
0, 

118,
0, 

118,
0, 

118,
0, 

65,
118,
0, 

82,
118,
0, 

86,
118,
0, 

118,
0, 

118,
0, 

25,
118,
0, 

118,
0, 

22,
118,
0, 

118,
0, 

48,
118,
0, 

24,
118,
0, 
0};
# define YYTYPE int
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,3,	1,4,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,5,	1,6,	
1,7,	1,8,	1,9,	1,10,	
1,11,	1,12,	1,13,	1,14,	
1,15,	1,16,	1,17,	1,18,	
1,19,	1,20,	1,21,	1,22,	
10,67,	19,76,	67,164,	0,0,	
0,0,	1,22,	19,77,	1,23,	
1,24,	1,25,	1,26,	1,27,	
1,28,	1,29,	1,30,	1,31,	
5,65,	1,30,	1,30,	1,32,	
1,30,	1,30,	14,73,	17,74,	
23,87,	25,88,	25,89,	1,32,	
1,30,	1,33,	26,65,	26,90,	
27,91,	33,93,	65,163,	93,179,	
0,0,	1,34,	0,0,	1,30,	
1,35,	1,36,	1,37,	1,38,	
1,3,	0,0,	1,39,	1,40,	
1,41,	1,42,	1,43,	1,44,	
48,118,	1,45,	1,46,	1,47,	
45,113,	1,48,	1,49,	1,50,	
1,51,	1,52,	45,114,	1,53,	
1,54,	1,55,	1,56,	1,57,	
1,58,	1,59,	40,99,	47,117,	
1,60,	1,61,	1,62,	1,63,	
2,64,	38,95,	2,7,	11,68,	
40,100,	11,69,	2,11,	2,12,	
2,13,	11,70,	40,101,	2,16,	
2,17,	2,18,	56,148,	39,96,	
11,71,	39,97,	44,111,	49,119,	
41,102,	57,149,	39,98,	49,120,	
44,112,	2,23,	2,24,	2,25,	
2,26,	2,27,	2,28,	2,29,	
41,103,	49,121,	61,158,	11,68,	
43,107,	11,69,	42,104,	42,105,	
96,180,	11,70,	42,106,	46,115,	
43,108,	55,145,	43,109,	2,33,	
11,71,	51,126,	97,181,	46,116,	
51,127,	55,146,	43,110,	63,159,	
98,182,	99,183,	2,35,	2,36,	
2,37,	11,72,	55,147,	100,184,	
2,39,	2,40,	2,41,	2,42,	
2,43,	2,44,	101,185,	2,45,	
2,46,	2,47,	102,186,	2,48,	
2,49,	2,50,	2,51,	2,52,	
4,4,	2,53,	2,54,	2,55,	
2,56,	2,57,	2,58,	2,59,	
4,4,	4,0,	2,60,	103,187,	
2,62,	2,63,	18,75,	18,75,	
18,75,	18,75,	18,75,	18,75,	
18,75,	18,75,	18,75,	18,75,	
104,188,	75,81,	50,122,	105,190,	
83,178,	104,189,	50,123,	63,160,	
4,4,	4,4,	106,191,	4,4,	
4,4,	4,4,	50,124,	107,192,	
50,125,	4,4,	4,4,	52,128,	
68,165,	68,165,	4,4,	4,4,	
4,4,	4,4,	108,193,	52,129,	
109,194,	52,130,	110,195,	4,4,	
52,131,	75,81,	111,196,	52,132,	
83,178,	63,159,	59,155,	59,155,	
4,4,	4,4,	6,66,	4,4,	
4,4,	4,4,	4,4,	4,4,	
112,197,	113,198,	6,66,	6,0,	
114,199,	4,4,	4,4,	53,133,	
115,200,	53,134,	117,206,	118,207,	
68,166,	119,208,	68,166,	4,4,	
120,209,	4,4,	53,135,	121,210,	
53,136,	4,4,	4,4,	122,211,	
53,137,	123,212,	6,66,	6,0,	
124,213,	6,66,	6,66,	6,66,	
125,214,	127,216,	125,215,	6,66,	
6,66,	54,138,	128,217,	54,139,	
6,66,	6,66,	6,66,	6,66,	
68,166,	54,140,	68,166,	54,141,	
129,218,	6,66,	54,142,	4,4,	
59,156,	59,157,	54,143,	54,144,	
130,219,	131,220,	6,66,	6,66,	
132,221,	6,66,	6,66,	6,66,	
6,66,	6,66,	58,150,	133,222,	
135,227,	136,228,	58,151,	6,66,	
6,66,	58,152,	58,153,	137,229,	
138,230,	139,231,	140,232,	141,233,	
58,154,	6,66,	142,234,	6,66,	
143,235,	144,236,	145,237,	6,66,	
6,66,	20,78,	146,239,	20,79,	
20,80,	20,79,	20,79,	20,79,	
20,79,	20,79,	20,79,	20,79,	
20,79,	134,223,	148,242,	145,238,	
149,243,	134,224,	150,244,	147,240,	
151,246,	21,83,	134,225,	150,245,	
20,81,	152,247,	134,226,	147,241,	
154,250,	6,66,	21,84,	21,85,	
21,85,	21,85,	21,85,	21,85,	
21,85,	21,85,	21,85,	21,85,	
22,78,	153,248,	22,85,	22,85,	
22,85,	22,85,	22,85,	22,85,	
22,85,	22,85,	22,85,	22,85,	
156,251,	116,201,	157,252,	153,249,	
20,81,	167,167,	168,168,	116,202,	
116,203,	169,169,	174,255,	22,81,	
116,204,	179,258,	116,205,	30,92,	
180,259,	182,260,	183,261,	162,0,	
184,262,	185,263,	186,264,	20,82,	
187,265,	21,86,	188,266,	30,92,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	30,92,	30,92,	
30,92,	22,86,	191,269,	175,81,	
192,270,	193,271,	195,279,	22,81,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	162,253,	175,81,	
197,283,	198,284,	30,92,	199,285,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	30,92,	30,92,	
30,92,	30,92,	36,94,	200,286,	
201,287,	165,166,	165,166,	166,166,	
166,166,	202,288,	36,0,	36,0,	
69,167,	69,167,	69,167,	69,167,	
69,167,	69,167,	69,167,	69,167,	
69,167,	69,167,	78,175,	78,175,	
78,175,	78,175,	78,175,	78,175,	
78,175,	78,175,	78,175,	78,175,	
189,267,	36,0,	36,94,	36,94,	
203,289,	36,94,	36,94,	36,94,	
204,290,	178,256,	178,256,	36,94,	
36,94,	206,291,	207,292,	189,268,	
36,94,	36,94,	36,94,	36,94,	
165,166,	196,280,	166,166,	196,281,	
208,293,	36,94,	209,294,	210,295,	
211,296,	196,282,	212,297,	213,298,	
215,299,	216,300,	36,94,	36,94,	
64,161,	36,94,	36,94,	36,94,	
36,94,	36,94,	217,301,	218,302,	
64,161,	64,0,	219,303,	36,94,	
36,94,	178,257,	220,304,	221,305,	
222,306,	223,307,	225,308,	226,309,	
227,310,	36,94,	228,311,	36,94,	
229,312,	230,313,	231,314,	36,94,	
36,94,	232,315,	233,316,	234,317,	
64,161,	64,161,	235,318,	64,161,	
64,161,	64,161,	236,319,	237,320,	
238,321,	64,161,	64,161,	239,322,	
240,323,	178,257,	64,161,	64,161,	
64,161,	64,161,	242,329,	243,330,	
244,331,	245,332,	246,333,	64,161,	
247,334,	36,94,	248,335,	249,336,	
64,162,	251,337,	253,0,	258,338,	
64,161,	64,161,	259,339,	64,161,	
64,161,	64,161,	64,161,	64,161,	
260,340,	241,324,	241,325,	261,341,	
263,342,	64,161,	64,161,	71,169,	
71,169,	71,169,	71,169,	71,169,	
71,169,	71,169,	71,169,	64,161,	
264,343,	64,161,	264,344,	266,345,	
267,346,	64,161,	64,161,	70,168,	
70,168,	70,168,	70,168,	70,168,	
70,168,	70,168,	70,168,	70,168,	
70,168,	268,347,	269,348,	272,349,	
273,350,	274,351,	275,352,	276,353,	
70,168,	70,168,	70,168,	70,168,	
70,168,	70,168,	277,354,	71,169,	
278,355,	71,169,	241,326,	64,161,	
72,170,	72,170,	72,171,	72,171,	
72,171,	72,171,	72,171,	72,171,	
72,172,	72,172,	279,356,	70,168,	
241,327,	70,168,	280,357,	241,328,	
281,358,	283,359,	284,360,	286,361,	
70,168,	70,168,	70,168,	70,168,	
70,168,	70,168,	287,362,	71,169,	
79,78,	71,169,	79,79,	79,79,	
79,79,	79,79,	79,79,	79,79,	
79,79,	79,79,	79,79,	79,79,	
72,173,	288,363,	72,173,	70,168,	
76,76,	70,168,	289,364,	290,365,	
292,366,	293,367,	294,368,	79,81,	
76,76,	76,76,	81,176,	295,369,	
81,176,	297,370,	299,371,	81,177,	
81,177,	81,177,	81,177,	81,177,	
81,177,	81,177,	81,177,	81,177,	
81,177,	300,372,	301,373,	303,374,	
72,173,	304,375,	72,173,	306,380,	
76,76,	76,0,	307,381,	76,76,	
76,76,	76,76,	308,382,	79,81,	
194,272,	76,174,	76,76,	194,273,	
309,383,	310,384,	76,0,	76,76,	
76,76,	76,76,	194,274,	311,385,	
312,386,	194,275,	313,387,	76,76,	
194,276,	194,277,	194,278,	305,376,	
305,377,	314,388,	316,389,	318,392,	
76,76,	76,76,	77,77,	76,76,	
76,76,	76,76,	76,76,	76,76,	
317,390,	319,393,	77,77,	77,0,	
320,394,	76,76,	76,76,	317,391,	
323,395,	326,396,	327,397,	328,398,	
330,399,	333,400,	333,401,	76,76,	
334,402,	76,76,	335,403,	338,404,	
339,405,	76,76,	76,76,	340,406,	
342,407,	342,408,	77,77,	77,77,	
345,409,	77,77,	77,77,	77,77,	
346,410,	347,411,	348,412,	77,77,	
77,77,	349,413,	350,414,	305,378,	
77,77,	77,77,	77,77,	77,77,	
351,415,	352,416,	353,417,	355,420,	
358,421,	77,77,	354,418,	76,76,	
359,422,	360,423,	360,424,	361,425,	
305,379,	362,426,	77,77,	77,77,	
365,427,	77,77,	77,77,	77,77,	
77,77,	77,77,	367,428,	354,419,	
368,429,	369,430,	370,431,	77,77,	
77,77,	371,432,	371,433,	372,434,	
373,435,	161,161,	374,436,	375,437,	
378,438,	77,77,	379,439,	77,77,	
381,440,	161,161,	161,0,	77,77,	
77,77,	86,86,	86,86,	86,86,	
86,86,	86,86,	86,86,	86,86,	
86,86,	86,86,	86,86,	176,177,	
176,177,	176,177,	176,177,	176,177,	
176,177,	176,177,	176,177,	176,177,	
176,177,	161,161,	161,161,	382,441,	
161,161,	161,161,	161,161,	383,442,	
386,443,	77,77,	161,161,	161,161,	
387,444,	388,445,	390,446,	161,161,	
161,161,	161,161,	161,161,	391,447,	
392,448,	393,449,	395,450,	396,451,	
161,161,	398,452,	399,453,	404,454,	
86,86,	409,455,	410,456,	411,457,	
412,458,	161,161,	161,161,	413,459,	
161,161,	161,161,	161,161,	161,161,	
161,161,	414,460,	415,461,	416,462,	
417,463,	418,464,	161,161,	161,161,	
419,465,	420,466,	421,467,	422,468,	
426,469,	427,470,	428,471,	431,472,	
161,161,	436,473,	161,161,	437,474,	
438,475,	440,476,	161,161,	161,161,	
170,170,	170,170,	170,171,	170,171,	
170,171,	170,171,	170,171,	170,171,	
170,172,	170,172,	171,171,	171,171,	
171,171,	171,171,	171,171,	171,171,	
171,171,	171,171,	171,172,	171,172,	
173,173,	173,173,	173,254,	173,254,	
173,254,	173,254,	173,254,	173,254,	
161,161,	172,172,	172,172,	172,172,	
172,172,	172,172,	172,172,	172,172,	
172,172,	172,172,	172,172,	441,477,	
170,173,	443,478,	170,173,	444,479,	
445,480,	446,481,	447,482,	170,170,	
448,483,	448,484,	171,254,	453,489,	
171,254,	449,485,	449,486,	450,487,	
450,488,	171,171,	454,490,	455,491,	
173,173,	457,492,	173,173,	460,493,	
461,494,	462,495,	463,496,	173,173,	
464,497,	468,498,	471,499,	474,500,	
170,173,	475,501,	170,173,	476,502,	
172,172,	478,503,	478,504,	479,505,	
480,506,	482,507,	171,254,	489,508,	
171,254,	490,509,	493,510,	494,511,	
495,512,	496,513,	499,514,	500,515,	
173,173,	506,516,	173,173,	254,254,	
254,254,	254,254,	254,254,	254,254,	
254,254,	254,254,	254,254,	507,517,	
510,518,	512,519,	513,520,	514,521,	
518,522,	519,523,	521,524,	523,525,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	254,254,	
0,0,	254,254,	0,0,	0,0,	
0,0,	0,0,	254,254,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	254,254,	
0,0,	254,254,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-95,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+-207,	0,		yyvstop+3,
yycrank+7,	0,		yyvstop+5,
yycrank+-273,	0,		yyvstop+8,
yycrank+0,	0,		yyvstop+10,
yycrank+0,	0,		yyvstop+13,
yycrank+0,	0,		yyvstop+16,
yycrank+14,	0,		yyvstop+19,
yycrank+65,	0,		yyvstop+22,
yycrank+0,	0,		yyvstop+25,
yycrank+0,	0,		yyvstop+28,
yycrank+12,	0,		yyvstop+31,
yycrank+0,	0,		yyvstop+34,
yycrank+0,	0,		yyvstop+37,
yycrank+13,	0,		yyvstop+40,
yycrank+174,	0,		yyvstop+43,
yycrank+11,	0,		yyvstop+46,
yycrank+323,	0,		yyvstop+49,
yycrank+350,	yysvec+20,	yyvstop+52,
yycrank+362,	0,		yyvstop+56,
yycrank+15,	0,		yyvstop+59,
yycrank+0,	0,		yyvstop+62,
yycrank+17,	0,		yyvstop+65,
yycrank+21,	0,		yyvstop+68,
yycrank+22,	0,		yyvstop+71,
yycrank+0,	0,		yyvstop+74,
yycrank+0,	0,		yyvstop+77,
yycrank+399,	0,		yyvstop+80,
yycrank+0,	yysvec+30,	yyvstop+83,
yycrank+0,	yysvec+30,	yyvstop+87,
yycrank+20,	yysvec+30,	yyvstop+91,
yycrank+0,	yysvec+30,	yyvstop+95,
yycrank+0,	0,		yyvstop+99,
yycrank+-521,	0,		yyvstop+102,
yycrank+0,	0,		yyvstop+105,
yycrank+3,	0,		yyvstop+108,
yycrank+35,	yysvec+30,	yyvstop+111,
yycrank+21,	yysvec+30,	yyvstop+114,
yycrank+51,	yysvec+30,	yyvstop+118,
yycrank+65,	yysvec+30,	yyvstop+121,
yycrank+64,	yysvec+30,	yyvstop+124,
yycrank+35,	yysvec+30,	yyvstop+127,
yycrank+3,	yysvec+30,	yyvstop+131,
yycrank+69,	yysvec+30,	yyvstop+134,
yycrank+12,	yysvec+30,	yyvstop+137,
yycrank+7,	yysvec+30,	yyvstop+140,
yycrank+50,	yysvec+30,	yyvstop+143,
yycrank+137,	yysvec+30,	yyvstop+146,
yycrank+63,	yysvec+30,	yyvstop+150,
yycrank+150,	yysvec+30,	yyvstop+153,
yycrank+188,	yysvec+30,	yyvstop+157,
yycrank+218,	yysvec+30,	yyvstop+161,
yycrank+76,	yysvec+30,	yyvstop+164,
yycrank+32,	yysvec+30,	yyvstop+167,
yycrank+48,	yysvec+30,	yyvstop+170,
yycrank+249,	yysvec+30,	yyvstop+173,
yycrank+222,	yysvec+30,	yyvstop+176,
yycrank+0,	0,		yyvstop+180,
yycrank+38,	0,		yyvstop+183,
yycrank+0,	0,		yyvstop+186,
yycrank+145,	0,		yyvstop+189,
yycrank+-587,	0,		yyvstop+192,
yycrank+25,	0,		yyvstop+196,
yycrank+0,	0,		yyvstop+198,
yycrank+16,	0,		yyvstop+200,
yycrank+204,	0,		0,	
yycrank+484,	0,		0,	
yycrank+635,	0,		0,	
yycrank+619,	0,		0,	
yycrank+664,	yysvec+70,	0,	
yycrank+0,	0,		yyvstop+202,
yycrank+0,	0,		yyvstop+204,
yycrank+164,	yysvec+18,	0,	
yycrank+-755,	0,		0,	
yycrank+-821,	0,		yyvstop+206,
yycrank+494,	0,		0,	
yycrank+694,	0,		0,	
yycrank+0,	yysvec+79,	yyvstop+208,
yycrank+723,	0,		0,	
yycrank+0,	0,		yyvstop+210,
yycrank+170,	0,		0,	
yycrank+0,	yysvec+22,	yyvstop+212,
yycrank+0,	yysvec+22,	yyvstop+215,
yycrank+869,	0,		yyvstop+217,
yycrank+0,	0,		yyvstop+219,
yycrank+0,	0,		yyvstop+221,
yycrank+0,	0,		yyvstop+223,
yycrank+0,	0,		yyvstop+225,
yycrank+0,	0,		yyvstop+227,
yycrank+0,	yysvec+30,	yyvstop+229,
yycrank+3,	yysvec+30,	yyvstop+231,
yycrank+0,	0,		yyvstop+233,
yycrank+0,	0,		yyvstop+235,
yycrank+49,	yysvec+30,	yyvstop+237,
yycrank+78,	yysvec+30,	yyvstop+239,
yycrank+69,	yysvec+30,	yyvstop+241,
yycrank+82,	yysvec+30,	yyvstop+243,
yycrank+91,	yysvec+30,	yyvstop+245,
yycrank+96,	yysvec+30,	yyvstop+247,
yycrank+87,	yysvec+30,	yyvstop+249,
yycrank+108,	yysvec+30,	yyvstop+251,
yycrank+135,	yysvec+30,	yyvstop+253,
yycrank+133,	yysvec+30,	yyvstop+255,
yycrank+127,	yysvec+30,	yyvstop+257,
yycrank+144,	yysvec+30,	yyvstop+259,
yycrank+143,	yysvec+30,	yyvstop+261,
yycrank+160,	yysvec+30,	yyvstop+263,
yycrank+161,	yysvec+30,	yyvstop+265,
yycrank+152,	yysvec+30,	yyvstop+267,
yycrank+170,	yysvec+30,	yyvstop+269,
yycrank+178,	yysvec+30,	yyvstop+271,
yycrank+176,	yysvec+30,	yyvstop+273,
yycrank+178,	yysvec+30,	yyvstop+275,
yycrank+316,	yysvec+30,	yyvstop+278,
yycrank+185,	yysvec+30,	yyvstop+281,
yycrank+177,	yysvec+30,	yyvstop+283,
yycrank+194,	yysvec+30,	yyvstop+285,
yycrank+196,	yysvec+30,	yyvstop+287,
yycrank+199,	yysvec+30,	yyvstop+289,
yycrank+193,	yysvec+30,	yyvstop+291,
yycrank+202,	yysvec+30,	yyvstop+293,
yycrank+197,	yysvec+30,	yyvstop+295,
yycrank+198,	yysvec+30,	yyvstop+297,
yycrank+0,	yysvec+30,	yyvstop+299,
yycrank+197,	yysvec+30,	yyvstop+302,
yycrank+204,	yysvec+30,	yyvstop+304,
yycrank+217,	yysvec+30,	yyvstop+306,
yycrank+221,	yysvec+30,	yyvstop+308,
yycrank+232,	yysvec+30,	yyvstop+310,
yycrank+232,	yysvec+30,	yyvstop+312,
yycrank+238,	yysvec+30,	yyvstop+314,
yycrank+282,	yysvec+30,	yyvstop+316,
yycrank+239,	yysvec+30,	yyvstop+318,
yycrank+240,	yysvec+30,	yyvstop+320,
yycrank+241,	yysvec+30,	yyvstop+322,
yycrank+259,	yysvec+30,	yyvstop+324,
yycrank+241,	yysvec+30,	yyvstop+326,
yycrank+257,	yysvec+30,	yyvstop+328,
yycrank+262,	yysvec+30,	yyvstop+330,
yycrank+261,	yysvec+30,	yyvstop+332,
yycrank+250,	yysvec+30,	yyvstop+334,
yycrank+253,	yysvec+30,	yyvstop+336,
yycrank+268,	yysvec+30,	yyvstop+338,
yycrank+261,	yysvec+30,	yyvstop+340,
yycrank+290,	yysvec+30,	yyvstop+342,
yycrank+277,	yysvec+30,	yyvstop+344,
yycrank+285,	yysvec+30,	yyvstop+346,
yycrank+281,	yysvec+30,	yyvstop+348,
yycrank+291,	yysvec+30,	yyvstop+350,
yycrank+288,	yysvec+30,	yyvstop+352,
yycrank+309,	yysvec+30,	yyvstop+354,
yycrank+282,	yysvec+30,	yyvstop+356,
yycrank+0,	yysvec+30,	yyvstop+358,
yycrank+309,	yysvec+30,	yyvstop+361,
yycrank+308,	yysvec+30,	yyvstop+363,
yycrank+0,	0,		yyvstop+365,
yycrank+0,	0,		yyvstop+367,
yycrank+0,	0,		yyvstop+369,
yycrank+-904,	0,		yyvstop+371,
yycrank+-429,	yysvec+64,	yyvstop+373,
yycrank+0,	0,		yyvstop+376,
yycrank+0,	0,		yyvstop+378,
yycrank+477,	yysvec+68,	yyvstop+380,
yycrank+479,	yysvec+68,	yyvstop+383,
yycrank+330,	yysvec+69,	yyvstop+385,
yycrank+331,	yysvec+70,	yyvstop+387,
yycrank+334,	yysvec+71,	yyvstop+389,
yycrank+952,	yysvec+70,	yyvstop+391,
yycrank+962,	yysvec+70,	yyvstop+396,
yycrank+981,	yysvec+70,	yyvstop+400,
yycrank+972,	yysvec+70,	yyvstop+403,
yycrank+383,	0,		0,	
yycrank+390,	yysvec+78,	yyvstop+407,
yycrank+879,	0,		0,	
yycrank+0,	yysvec+176,	yyvstop+409,
yycrank+513,	0,		0,	
yycrank+361,	yysvec+30,	yyvstop+411,
yycrank+339,	yysvec+30,	yyvstop+413,
yycrank+0,	yysvec+30,	yyvstop+415,
yycrank+332,	yysvec+30,	yyvstop+418,
yycrank+333,	yysvec+30,	yyvstop+420,
yycrank+319,	yysvec+30,	yyvstop+422,
yycrank+336,	yysvec+30,	yyvstop+424,
yycrank+341,	yysvec+30,	yyvstop+427,
yycrank+329,	yysvec+30,	yyvstop+429,
yycrank+331,	yysvec+30,	yyvstop+431,
yycrank+455,	yysvec+30,	yyvstop+433,
yycrank+0,	yysvec+30,	yyvstop+435,
yycrank+361,	yysvec+30,	yyvstop+438,
yycrank+359,	yysvec+30,	yyvstop+440,
yycrank+360,	yysvec+30,	yyvstop+442,
yycrank+697,	yysvec+30,	yyvstop+444,
yycrank+352,	yysvec+30,	yyvstop+447,
yycrank+474,	yysvec+30,	yyvstop+449,
yycrank+393,	yysvec+30,	yyvstop+452,
yycrank+389,	yysvec+30,	yyvstop+454,
yycrank+395,	yysvec+30,	yyvstop+456,
yycrank+412,	yysvec+30,	yyvstop+458,
yycrank+408,	yysvec+30,	yyvstop+460,
yycrank+412,	yysvec+30,	yyvstop+462,
yycrank+439,	yysvec+30,	yyvstop+464,
yycrank+459,	yysvec+30,	yyvstop+466,
yycrank+0,	yysvec+30,	yyvstop+468,
yycrank+455,	yysvec+30,	yyvstop+471,
yycrank+463,	yysvec+30,	yyvstop+473,
yycrank+462,	yysvec+30,	yyvstop+475,
yycrank+473,	yysvec+30,	yyvstop+477,
yycrank+462,	yysvec+30,	yyvstop+479,
yycrank+480,	yysvec+30,	yyvstop+481,
yycrank+481,	yysvec+30,	yyvstop+483,
yycrank+468,	yysvec+30,	yyvstop+485,
yycrank+0,	yysvec+30,	yyvstop+487,
yycrank+479,	yysvec+30,	yyvstop+490,
yycrank+473,	yysvec+30,	yyvstop+493,
yycrank+489,	yysvec+30,	yyvstop+496,
yycrank+480,	yysvec+30,	yyvstop+498,
yycrank+497,	yysvec+30,	yyvstop+500,
yycrank+493,	yysvec+30,	yyvstop+502,
yycrank+495,	yysvec+30,	yyvstop+504,
yycrank+493,	yysvec+30,	yyvstop+506,
yycrank+494,	yysvec+30,	yyvstop+508,
yycrank+0,	yysvec+30,	yyvstop+510,
yycrank+505,	yysvec+30,	yyvstop+513,
yycrank+506,	yysvec+30,	yyvstop+515,
yycrank+497,	yysvec+30,	yyvstop+517,
yycrank+499,	yysvec+30,	yyvstop+519,
yycrank+515,	yysvec+30,	yyvstop+521,
yycrank+505,	yysvec+30,	yyvstop+523,
yycrank+497,	yysvec+30,	yyvstop+525,
yycrank+498,	yysvec+30,	yyvstop+527,
yycrank+510,	yysvec+30,	yyvstop+529,
yycrank+520,	yysvec+30,	yyvstop+531,
yycrank+511,	yysvec+30,	yyvstop+533,
yycrank+514,	yysvec+30,	yyvstop+535,
yycrank+519,	yysvec+30,	yyvstop+537,
yycrank+521,	yysvec+30,	yyvstop+539,
yycrank+530,	yysvec+30,	yyvstop+541,
yycrank+522,	yysvec+30,	yyvstop+543,
yycrank+613,	yysvec+30,	yyvstop+545,
yycrank+522,	yysvec+30,	yyvstop+548,
yycrank+523,	yysvec+30,	yyvstop+550,
yycrank+524,	yysvec+30,	yyvstop+552,
yycrank+541,	yysvec+30,	yyvstop+554,
yycrank+535,	yysvec+30,	yyvstop+556,
yycrank+536,	yysvec+30,	yyvstop+558,
yycrank+530,	yysvec+30,	yyvstop+560,
yycrank+546,	yysvec+30,	yyvstop+562,
yycrank+0,	yysvec+30,	yyvstop+564,
yycrank+535,	yysvec+30,	yyvstop+567,
yycrank+0,	yysvec+30,	yyvstop+569,
yycrank+-640,	yysvec+161,	yyvstop+572,
yycrank+1047,	yysvec+70,	yyvstop+575,
yycrank+0,	0,		yyvstop+578,
yycrank+0,	0,		yyvstop+580,
yycrank+0,	0,		yyvstop+582,
yycrank+571,	yysvec+30,	yyvstop+584,
yycrank+533,	yysvec+30,	yyvstop+586,
yycrank+557,	yysvec+30,	yyvstop+588,
yycrank+553,	yysvec+30,	yyvstop+590,
yycrank+0,	yysvec+30,	yyvstop+592,
yycrank+562,	yysvec+30,	yyvstop+595,
yycrank+556,	yysvec+30,	yyvstop+597,
yycrank+0,	yysvec+30,	yyvstop+600,
yycrank+564,	yysvec+30,	yyvstop+603,
yycrank+563,	yysvec+30,	yyvstop+605,
yycrank+596,	yysvec+30,	yyvstop+607,
yycrank+596,	yysvec+30,	yyvstop+609,
yycrank+0,	yysvec+30,	yyvstop+611,
yycrank+0,	yysvec+30,	yyvstop+614,
yycrank+598,	yysvec+30,	yyvstop+617,
yycrank+579,	yysvec+30,	yyvstop+619,
yycrank+586,	yysvec+30,	yyvstop+621,
yycrank+584,	yysvec+30,	yyvstop+623,
yycrank+587,	yysvec+30,	yyvstop+625,
yycrank+609,	yysvec+30,	yyvstop+627,
yycrank+598,	yysvec+30,	yyvstop+629,
yycrank+606,	yysvec+30,	yyvstop+631,
yycrank+625,	yysvec+30,	yyvstop+633,
yycrank+610,	yysvec+30,	yyvstop+635,
yycrank+0,	yysvec+30,	yyvstop+637,
yycrank+613,	yysvec+30,	yyvstop+640,
yycrank+608,	yysvec+30,	yyvstop+642,
yycrank+0,	yysvec+30,	yyvstop+644,
yycrank+621,	yysvec+30,	yyvstop+647,
yycrank+633,	yysvec+30,	yyvstop+649,
yycrank+637,	yysvec+30,	yyvstop+651,
yycrank+642,	yysvec+30,	yyvstop+653,
yycrank+656,	yysvec+30,	yyvstop+655,
yycrank+0,	yysvec+30,	yyvstop+657,
yycrank+659,	yysvec+30,	yyvstop+660,
yycrank+650,	yysvec+30,	yyvstop+662,
yycrank+645,	yysvec+30,	yyvstop+664,
yycrank+659,	yysvec+30,	yyvstop+666,
yycrank+0,	yysvec+30,	yyvstop+668,
yycrank+669,	yysvec+30,	yyvstop+671,
yycrank+0,	yysvec+30,	yyvstop+673,
yycrank+668,	yysvec+30,	yyvstop+676,
yycrank+664,	yysvec+30,	yyvstop+678,
yycrank+671,	yysvec+30,	yyvstop+680,
yycrank+0,	yysvec+30,	yyvstop+682,
yycrank+683,	yysvec+30,	yyvstop+685,
yycrank+680,	yysvec+30,	yyvstop+687,
yycrank+767,	yysvec+30,	yyvstop+689,
yycrank+672,	yysvec+30,	yyvstop+691,
yycrank+672,	yysvec+30,	yyvstop+693,
yycrank+697,	yysvec+30,	yyvstop+695,
yycrank+703,	yysvec+30,	yyvstop+697,
yycrank+686,	yysvec+30,	yyvstop+699,
yycrank+692,	yysvec+30,	yyvstop+701,
yycrank+698,	yysvec+30,	yyvstop+703,
yycrank+713,	yysvec+30,	yyvstop+705,
yycrank+705,	yysvec+30,	yyvstop+707,
yycrank+0,	yysvec+30,	yyvstop+709,
yycrank+710,	yysvec+30,	yyvstop+712,
yycrank+723,	yysvec+30,	yyvstop+714,
yycrank+709,	yysvec+30,	yyvstop+716,
yycrank+721,	yysvec+30,	yyvstop+718,
yycrank+731,	yysvec+30,	yyvstop+720,
yycrank+0,	yysvec+30,	yyvstop+722,
yycrank+0,	yysvec+30,	yyvstop+725,
yycrank+731,	yysvec+30,	yyvstop+728,
yycrank+0,	yysvec+30,	yyvstop+731,
yycrank+0,	yysvec+30,	yyvstop+734,
yycrank+727,	yysvec+30,	yyvstop+737,
yycrank+724,	yysvec+30,	yyvstop+739,
yycrank+738,	yysvec+30,	yyvstop+741,
yycrank+0,	yysvec+30,	yyvstop+743,
yycrank+729,	yysvec+30,	yyvstop+746,
yycrank+0,	yysvec+30,	yyvstop+748,
yycrank+0,	yysvec+30,	yyvstop+751,
yycrank+793,	yysvec+30,	yyvstop+754,
yycrank+743,	yysvec+30,	yyvstop+756,
yycrank+742,	yysvec+30,	yyvstop+758,
yycrank+0,	yysvec+30,	yyvstop+760,
yycrank+0,	yysvec+30,	yyvstop+763,
yycrank+762,	yysvec+30,	yyvstop+766,
yycrank+733,	yysvec+30,	yyvstop+768,
yycrank+741,	yysvec+30,	yyvstop+770,
yycrank+0,	yysvec+30,	yyvstop+772,
yycrank+804,	yysvec+30,	yyvstop+775,
yycrank+0,	yysvec+30,	yyvstop+777,
yycrank+0,	yysvec+30,	yyvstop+780,
yycrank+751,	yysvec+30,	yyvstop+783,
yycrank+752,	yysvec+30,	yyvstop+785,
yycrank+747,	yysvec+30,	yyvstop+787,
yycrank+754,	yysvec+30,	yyvstop+789,
yycrank+750,	yysvec+30,	yyvstop+791,
yycrank+756,	yysvec+30,	yyvstop+793,
yycrank+772,	yysvec+30,	yyvstop+795,
yycrank+768,	yysvec+30,	yyvstop+797,
yycrank+773,	yysvec+30,	yyvstop+799,
yycrank+780,	yysvec+30,	yyvstop+801,
yycrank+770,	yysvec+30,	yyvstop+803,
yycrank+0,	yysvec+30,	yyvstop+805,
yycrank+0,	yysvec+30,	yyvstop+808,
yycrank+775,	yysvec+30,	yyvstop+811,
yycrank+775,	yysvec+30,	yyvstop+813,
yycrank+833,	yysvec+30,	yyvstop+815,
yycrank+782,	yysvec+30,	yyvstop+817,
yycrank+788,	yysvec+30,	yyvstop+819,
yycrank+0,	yysvec+30,	yyvstop+821,
yycrank+0,	yysvec+30,	yyvstop+824,
yycrank+787,	yysvec+30,	yyvstop+827,
yycrank+0,	yysvec+30,	yyvstop+829,
yycrank+785,	yysvec+30,	yyvstop+832,
yycrank+787,	yysvec+30,	yyvstop+834,
yycrank+796,	yysvec+30,	yyvstop+836,
yycrank+795,	yysvec+30,	yyvstop+838,
yycrank+853,	yysvec+30,	yyvstop+840,
yycrank+787,	yysvec+30,	yyvstop+842,
yycrank+804,	yysvec+30,	yyvstop+844,
yycrank+803,	yysvec+30,	yyvstop+846,
yycrank+791,	yysvec+30,	yyvstop+848,
yycrank+0,	yysvec+30,	yyvstop+850,
yycrank+0,	yysvec+30,	yyvstop+853,
yycrank+797,	yysvec+30,	yyvstop+856,
yycrank+798,	yysvec+30,	yyvstop+858,
yycrank+0,	yysvec+30,	yyvstop+860,
yycrank+811,	yysvec+30,	yyvstop+863,
yycrank+824,	yysvec+30,	yyvstop+865,
yycrank+827,	yysvec+30,	yyvstop+867,
yycrank+0,	yysvec+30,	yyvstop+869,
yycrank+0,	yysvec+30,	yyvstop+872,
yycrank+839,	yysvec+30,	yyvstop+875,
yycrank+834,	yysvec+30,	yyvstop+878,
yycrank+845,	yysvec+30,	yyvstop+880,
yycrank+0,	yysvec+30,	yyvstop+883,
yycrank+848,	yysvec+30,	yyvstop+886,
yycrank+858,	yysvec+30,	yyvstop+888,
yycrank+853,	yysvec+30,	yyvstop+890,
yycrank+836,	yysvec+30,	yyvstop+892,
yycrank+0,	yysvec+30,	yyvstop+894,
yycrank+856,	yysvec+30,	yyvstop+897,
yycrank+859,	yysvec+30,	yyvstop+899,
yycrank+0,	yysvec+30,	yyvstop+901,
yycrank+858,	yysvec+30,	yyvstop+904,
yycrank+848,	yysvec+30,	yyvstop+906,
yycrank+0,	yysvec+30,	yyvstop+908,
yycrank+0,	yysvec+30,	yyvstop+911,
yycrank+0,	yysvec+30,	yyvstop+914,
yycrank+0,	yysvec+30,	yyvstop+917,
yycrank+887,	yysvec+30,	yyvstop+920,
yycrank+0,	yysvec+30,	yyvstop+922,
yycrank+0,	yysvec+30,	yyvstop+925,
yycrank+0,	yysvec+30,	yyvstop+928,
yycrank+0,	yysvec+30,	yyvstop+931,
yycrank+862,	yysvec+30,	yyvstop+934,
yycrank+850,	yysvec+30,	yyvstop+936,
yycrank+870,	yysvec+30,	yyvstop+938,
yycrank+867,	yysvec+30,	yyvstop+940,
yycrank+870,	yysvec+30,	yyvstop+942,
yycrank+878,	yysvec+30,	yyvstop+944,
yycrank+861,	yysvec+30,	yyvstop+946,
yycrank+870,	yysvec+30,	yyvstop+948,
yycrank+881,	yysvec+30,	yyvstop+950,
yycrank+873,	yysvec+30,	yyvstop+952,
yycrank+877,	yysvec+30,	yyvstop+954,
yycrank+869,	yysvec+30,	yyvstop+956,
yycrank+872,	yysvec+30,	yyvstop+958,
yycrank+876,	yysvec+30,	yyvstop+960,
yycrank+0,	yysvec+30,	yyvstop+962,
yycrank+0,	yysvec+30,	yyvstop+965,
yycrank+0,	yysvec+30,	yyvstop+968,
yycrank+880,	yysvec+30,	yyvstop+971,
yycrank+875,	yysvec+30,	yyvstop+973,
yycrank+879,	yysvec+30,	yyvstop+975,
yycrank+0,	yysvec+30,	yyvstop+977,
yycrank+0,	yysvec+30,	yyvstop+980,
yycrank+890,	yysvec+30,	yyvstop+983,
yycrank+0,	yysvec+30,	yyvstop+985,
yycrank+0,	yysvec+30,	yyvstop+988,
yycrank+0,	yysvec+30,	yyvstop+991,
yycrank+0,	yysvec+30,	yyvstop+994,
yycrank+892,	yysvec+30,	yyvstop+997,
yycrank+890,	yysvec+30,	yyvstop+999,
yycrank+877,	yysvec+30,	yyvstop+1001,
yycrank+0,	yysvec+30,	yyvstop+1003,
yycrank+883,	yysvec+30,	yyvstop+1006,
yycrank+938,	yysvec+30,	yyvstop+1008,
yycrank+0,	yysvec+30,	yyvstop+1010,
yycrank+939,	yysvec+30,	yyvstop+1013,
yycrank+942,	yysvec+30,	yyvstop+1015,
yycrank+933,	yysvec+30,	yyvstop+1017,
yycrank+924,	yysvec+30,	yyvstop+1019,
yycrank+932,	yysvec+30,	yyvstop+1021,
yycrank+1000,	yysvec+30,	yyvstop+1023,
yycrank+1005,	yysvec+30,	yyvstop+1025,
yycrank+1007,	yysvec+30,	yyvstop+1027,
yycrank+0,	yysvec+30,	yyvstop+1029,
yycrank+0,	yysvec+30,	yyvstop+1032,
yycrank+950,	yysvec+30,	yyvstop+1035,
yycrank+975,	yysvec+30,	yyvstop+1037,
yycrank+949,	yysvec+30,	yyvstop+1039,
yycrank+0,	yysvec+30,	yyvstop+1041,
yycrank+952,	yysvec+30,	yyvstop+1044,
yycrank+0,	yysvec+30,	yyvstop+1046,
yycrank+0,	yysvec+30,	yyvstop+1049,
yycrank+947,	yysvec+30,	yyvstop+1052,
yycrank+956,	yysvec+30,	yyvstop+1054,
yycrank+960,	yysvec+30,	yyvstop+1056,
yycrank+961,	yysvec+30,	yyvstop+1058,
yycrank+967,	yysvec+30,	yyvstop+1060,
yycrank+0,	yysvec+30,	yyvstop+1062,
yycrank+0,	yysvec+30,	yyvstop+1065,
yycrank+0,	yysvec+30,	yyvstop+1068,
yycrank+959,	yysvec+30,	yyvstop+1071,
yycrank+0,	yysvec+30,	yyvstop+1073,
yycrank+0,	yysvec+30,	yyvstop+1076,
yycrank+970,	yysvec+30,	yyvstop+1079,
yycrank+0,	yysvec+30,	yyvstop+1081,
yycrank+0,	yysvec+30,	yyvstop+1084,
yycrank+953,	yysvec+30,	yyvstop+1087,
yycrank+963,	yysvec+30,	yyvstop+1089,
yycrank+954,	yysvec+30,	yyvstop+1091,
yycrank+0,	yysvec+30,	yyvstop+1093,
yycrank+1029,	yysvec+30,	yyvstop+1096,
yycrank+979,	yysvec+30,	yyvstop+1098,
yycrank+972,	yysvec+30,	yyvstop+1100,
yycrank+0,	yysvec+30,	yyvstop+1102,
yycrank+984,	yysvec+30,	yyvstop+1105,
yycrank+0,	yysvec+30,	yyvstop+1107,
yycrank+0,	yysvec+30,	yyvstop+1110,
yycrank+0,	yysvec+30,	yyvstop+1113,
yycrank+0,	yysvec+30,	yyvstop+1116,
yycrank+0,	yysvec+30,	yyvstop+1119,
yycrank+0,	yysvec+30,	yyvstop+1122,
yycrank+983,	yysvec+30,	yyvstop+1125,
yycrank+1016,	yysvec+30,	yyvstop+1127,
yycrank+0,	yysvec+30,	yyvstop+1129,
yycrank+0,	yysvec+30,	yyvstop+1132,
yycrank+981,	yysvec+30,	yyvstop+1135,
yycrank+986,	yysvec+30,	yyvstop+1137,
yycrank+972,	yysvec+30,	yyvstop+1139,
yycrank+987,	yysvec+30,	yyvstop+1141,
yycrank+0,	yysvec+30,	yyvstop+1143,
yycrank+0,	yysvec+30,	yyvstop+1146,
yycrank+973,	yysvec+30,	yyvstop+1149,
yycrank+990,	yysvec+30,	yyvstop+1151,
yycrank+0,	yysvec+30,	yyvstop+1153,
yycrank+0,	yysvec+30,	yyvstop+1156,
yycrank+0,	yysvec+30,	yyvstop+1159,
yycrank+0,	yysvec+30,	yyvstop+1162,
yycrank+0,	yysvec+30,	yyvstop+1165,
yycrank+993,	yysvec+30,	yyvstop+1168,
yycrank+994,	yysvec+30,	yyvstop+1170,
yycrank+0,	yysvec+30,	yyvstop+1172,
yycrank+0,	yysvec+30,	yyvstop+1175,
yycrank+993,	yysvec+30,	yyvstop+1178,
yycrank+0,	yysvec+30,	yyvstop+1180,
yycrank+1000,	yysvec+30,	yyvstop+1183,
yycrank+985,	yysvec+30,	yyvstop+1185,
yycrank+999,	yysvec+30,	yyvstop+1187,
yycrank+0,	yysvec+30,	yyvstop+1189,
yycrank+0,	yysvec+30,	yyvstop+1192,
yycrank+0,	yysvec+30,	yyvstop+1195,
yycrank+998,	yysvec+30,	yyvstop+1198,
yycrank+991,	yysvec+30,	yyvstop+1200,
yycrank+0,	yysvec+30,	yyvstop+1202,
yycrank+1009,	yysvec+30,	yyvstop+1205,
yycrank+0,	yysvec+30,	yyvstop+1207,
yycrank+1010,	yysvec+30,	yyvstop+1210,
yycrank+0,	yysvec+30,	yyvstop+1212,
yycrank+0,	yysvec+30,	yyvstop+1215,
0,	0,	0};
struct yywork *yytop = yycrank+1169;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   9,  10,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  9,  33,  34,   1,  36,  37,  38,   1, 
  1,   1,  42,  43,   1,  43,   1,  47, 
 48,  49,  50,  50,  50,  50,  50,  50, 
 56,  56,   1,   1,  37,  33,  37,   1, 
  1,  65,  66,  65,  68,  69,  70,  71, 
 72,  71,  71,  71,  71,  71,  78,  79, 
 78,  71,  78,  71,  71,  71,  71,  71, 
 88,  71,  90,   1,   1,   1,  94,  95, 
  1,  65,  66,  65,  68,  69,  70,  71, 
 72,  71,  71,  71,  71,  71,  78,  79, 
 78,  71,  78,  71,  71,  71,  71,  71, 
 88,  71,  90,   1, 124,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.12	97/12/08 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
#ifdef YYISARRAY
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
#else
			if (yylastch >= &yytext[ yytextsz ]) {
				int	x = yylastch - yytext;

				yytextsz += YYTEXTSZINC;
				if (yytext == yy_tbuf) {
				    yytext = (char *) malloc(yytextsz);
				    memcpy(yytext, yy_tbuf, sizeof (yy_tbuf));
				}
				else
				    yytext = (char *) realloc(yytext, yytextsz);
				if (!yytext) {
				    fprintf(yyout,
					"Cannot realloc yytext\n");
				    exit(1);
				}
				yylastch = yytext + x;
			}
#endif
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (uintptr_t)yyt > (uintptr_t)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((uintptr_t)yyt < (uintptr_t)yycrank) {	/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
